<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    android:orientation="vertical"
    android:background="@color/background"
    tools:context=".SignUpScreen">

    <ImageView
        android:layout_width="100dp"
        android:layout_height="100dp"
        android:src="@drawable/logo2" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:fontFamily="@font/inter"
        android:textSize="20sp"
        android:layout_marginTop="15dp"
        android:text="Smart House"
        android:textStyle="bold"
        android:textColor="@color/white" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        android:layout_marginTop="20dp"
        android:background="@drawable/signin_shape">

        <EditText
            android:id="@+id/signup_email"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginTop="20dp"
            android:layout_marginEnd="10dp"
            android:fontFamily="@font/inter"
            android:hint="Email"
            android:backgroundTint="@color/white"
            android:inputType="textEmailAddress"
            android:textColor="@color/white"
            android:textColorHint="@color/white" />

        <EditText
            android:id="@+id/signup_name"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="10dp"
            android:fontFamily="@font/inter"
            android:backgroundTint="@color/white"
            android:hint="Name"
            android:inputType="textEmailAddress"
            android:textColor="@color/white"
            android:textColorHint="@color/white" />

        <EditText
            android:id="@+id/signup_pass"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:layout_marginTop="15dp"
            android:layout_marginEnd="10dp"
            android:layout_marginBottom="20dp"
            android:fontFamily="@font/inter"
            android:backgroundTint="@color/white"
            android:hint="Password"
            android:inputType="textPassword"
            android:textColor="@color/white"
            android:textColorHint="@color/white" />

    </LinearLayout>

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/signup_newres_btn"
        android:onClick="NewResReg"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:layout_marginTop="30dp"
        android:text="New Resident"
        android:textAllCaps="false"
        android:textColor="@color/white"
        android:fontFamily="@font/inter"
        android:background="@drawable/redbtn_shape"/>

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/signup_enter_btn"
        android:onClick="Back"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:layout_marginTop="30dp"
        android:text="Enter Your House"
        android:textAllCaps="false"
        android:textColor="@color/white"
        android:fontFamily="@font/inter"
        android:background="@drawable/darkbtn_shape"/>


</LinearLayout>